# Enums and Flags

## Enumerations
enum | Atk::CoordType { Atk::XY_SCREEN, Atk::XY_WINDOW }
enum | Atk::Layer { Atk::LAYER_INVALID, Atk::LAYER_BACKGROUND, Atk::LAYER_CANVAS, Atk::LAYER_WIDGET, Atk::LAYER_MDI, Atk::LAYER_POPUP, Atk::LAYER_OVERLAY, Atk::LAYER_WINDOW }
enum | Atk::Role { Atk::ROLE_INVALID, Atk::ROLE_ACCEL_LABEL, Atk::ROLE_ALERT, Atk::ROLE_ANIMATION, Atk::ROLE_ARROW, Atk::ROLE_CALENDAR, Atk::ROLE_CANVAS, Atk::ROLE_CHECK_BOX, Atk::ROLE_CHECK_MENU_ITEM, Atk::ROLE_COLOR_CHOOSER, Atk::ROLE_COLUMN_HEADER, Atk::ROLE_COMBO_BOX, Atk::ROLE_DATE_EDITOR, Atk::ROLE_DESKTOP_ICON, Atk::ROLE_DESKTOP_FRAME, Atk::ROLE_DIAL, Atk::ROLE_DIALOG, Atk::ROLE_DIRECTORY_PANE, Atk::ROLE_DRAWING_AREA, Atk::ROLE_FILE_CHOOSER, Atk::ROLE_FILLER, Atk::ROLE_FONT_CHOOSER, Atk::ROLE_FRAME, Atk::ROLE_GLASS_PANE, Atk::ROLE_HTML_CONTAINER, Atk::ROLE_ICON, Atk::ROLE_IMAGE, Atk::ROLE_INTERNAL_FRAME, Atk::ROLE_LABEL, Atk::ROLE_LAYERED_PANE, Atk::ROLE_LIST, Atk::ROLE_LIST_ITEM, Atk::ROLE_MENU, Atk::ROLE_MENU_BAR, Atk::ROLE_MENU_ITEM, Atk::ROLE_OPTION_PANE, Atk::ROLE_PAGE_TAB, Atk::ROLE_PAGE_TAB_LIST, Atk::ROLE_PANEL, Atk::ROLE_PASSWORD_TEXT, Atk::ROLE_POPUP_MENU, Atk::ROLE_PROGRESS_BAR, Atk::ROLE_PUSH_BUTTON, Atk::ROLE_RADIO_BUTTON, Atk::ROLE_RADIO_MENU_ITEM, Atk::ROLE_ROOT_PANE, Atk::ROLE_ROW_HEADER, Atk::ROLE_SCROLL_BAR, Atk::ROLE_SCROLL_PANE, Atk::ROLE_SEPARATOR, Atk::ROLE_SLIDER, Atk::ROLE_SPLIT_PANE, Atk::ROLE_SPIN_BUTTON, Atk::ROLE_STATUSBAR, Atk::ROLE_TABLE, Atk::ROLE_TABLE_CELL, Atk::ROLE_TABLE_COLUMN_HEADER, Atk::ROLE_TABLE_ROW_HEADER, Atk::ROLE_TEAR_OFF_MENU_ITEM, Atk::ROLE_TERMINAL, Atk::ROLE_TEXT, Atk::ROLE_TOGGLE_BUTTON, Atk::ROLE_TOOL_BAR, Atk::ROLE_TOOL_TIP, Atk::ROLE_TREE, Atk::ROLE_TREE_TABLE, Atk::ROLE_UNKNOWN, Atk::ROLE_VIEWPORT, Atk::ROLE_WINDOW, Atk::ROLE_HEADER, Atk::ROLE_FOOTER, Atk::ROLE_PARAGRAPH, Atk::ROLE_RULER, Atk::ROLE_APPLICATION, Atk::ROLE_AUTOCOMPLETE, Atk::ROLE_EDITBAR, Atk::ROLE_EMBEDDED, Atk::ROLE_LAST_DEFINED }
enum | Atk::RelationType { Atk::RELATION_NULL, Atk::RELATION_CONTROLLED_BY, Atk::RELATION_CONTROLLER_FOR, Atk::RELATION_LABEL_FOR, Atk::RELATION_LABELLED_BY, Atk::RELATION_MEMBER_OF, Atk::RELATION_NODE_CHILD_OF, Atk::RELATION_FLOWS_TO, Atk::RELATION_FLOWS_FROM, Atk::RELATION_SUBWINDOW_OF, Atk::RELATION_EMBEDS, Atk::RELATION_EMBEDDED_BY, Atk::RELATION_POPUP_FOR, Atk::RELATION_PARENT_WINDOW_OF, Atk::RELATION_LAST_DEFINED }
enum | Atk::StateType { Atk::STATE_INVALID, Atk::STATE_ACTIVE, Atk::STATE_ARMED, Atk::STATE_BUSY, Atk::STATE_CHECKED, Atk::STATE_DEFUNCT, Atk::STATE_EDITABLE, Atk::STATE_ENABLED, Atk::STATE_EXPANDABLE, Atk::STATE_EXPANDED, Atk::STATE_FOCUSABLE, Atk::STATE_FOCUSED, Atk::STATE_HORIZONTAL, Atk::STATE_ICONIFIED, Atk::STATE_MODAL, Atk::STATE_MULTI_LINE, Atk::STATE_MULTISELECTABLE, Atk::STATE_OPAQUE, Atk::STATE_PRESSED, Atk::STATE_RESIZABLE, Atk::STATE_SELECTABLE, Atk::STATE_SELECTED, Atk::STATE_SENSITIVE, Atk::STATE_SHOWING, Atk::STATE_SINGLE_LINE, Atk::STATE_STALE, Atk::STATE_TRANSIENT, Atk::STATE_VERTICAL, Atk::STATE_VISIBLE, Atk::STATE_MANAGES_DESCENDANTS, Atk::STATE_INDETERMINATE, Atk::STATE_TRUNCATED, Atk::STATE_REQUIRED, Atk::STATE_LAST_DEFINED }
enum | Atk::BuiltinTextAttribute { Atk::TEXT_ATTR_INVALID, Atk::TEXT_ATTR_LEFT_MARGIN, Atk::TEXT_ATTR_RIGHT_MARGIN, Atk::TEXT_ATTR_INDENT, Atk::TEXT_ATTR_INVISIBLE, Atk::TEXT_ATTR_EDITABLE, Atk::TEXT_ATTR_PIXELS_ABOVE_LINES, Atk::TEXT_ATTR_PIXELS_BELOW_LINES, Atk::TEXT_ATTR_PIXELS_INSIDE_WRAP, Atk::TEXT_ATTR_BG_FULL_HEIGHT, Atk::TEXT_ATTR_RISE, Atk::TEXT_ATTR_UNDERLINE, Atk::TEXT_ATTR_STRIKETHROUGH, Atk::TEXT_ATTR_SIZE, Atk::TEXT_ATTR_SCALE, Atk::TEXT_ATTR_WEIGHT, Atk::TEXT_ATTR_LANGUAGE, Atk::TEXT_ATTR_FAMILY_NAME, Atk::TEXT_ATTR_BG_COLOR, Atk::TEXT_ATTR_FG_COLOR, Atk::TEXT_ATTR_BG_STIPPLE, Atk::TEXT_ATTR_FG_STIPPLE, Atk::TEXT_ATTR_WRAP_MODE, Atk::TEXT_ATTR_DIRECTION, Atk::TEXT_ATTR_JUSTIFICATION, Atk::TEXT_ATTR_STRETCH, Atk::TEXT_ATTR_VARIANT, Atk::TEXT_ATTR_STYLE, Atk::TEXT_ATTR_LAST_DEFINED }
enum | Atk::TextBoundary { Atk::TEXT_BOUNDARY_CHAR, Atk::TEXT_BOUNDARY_WORD_START, Atk::TEXT_BOUNDARY_WORD_END, Atk::TEXT_BOUNDARY_SENTENCE_START, Atk::TEXT_BOUNDARY_SENTENCE_END, Atk::TEXT_BOUNDARY_LINE_START, Atk::TEXT_BOUNDARY_LINE_END }
enum | Atk::TextClipType { Atk::TEXT_CLIP_NONE, Atk::TEXT_CLIP_MIN, Atk::TEXT_CLIP_MAX, Atk::TEXT_CLIP_BOTH }

## Enumeration Type Documentation

enum Atk::BuiltinTextAttribute

Enumerator:

  TEXT_ATTR_INVALID |
  TEXT_ATTR_LEFT_MARGIN |
  TEXT_ATTR_RIGHT_MARGIN |
  TEXT_ATTR_INDENT |
  TEXT_ATTR_INVISIBLE |
  TEXT_ATTR_EDITABLE |
  TEXT_ATTR_PIXELS_ABOVE_LINES |
  TEXT_ATTR_PIXELS_BELOW_LINES |
  TEXT_ATTR_PIXELS_INSIDE_WRAP |
  TEXT_ATTR_BG_FULL_HEIGHT |
  TEXT_ATTR_RISE |
  TEXT_ATTR_UNDERLINE |
  TEXT_ATTR_STRIKETHROUGH |
  TEXT_ATTR_SIZE |
  TEXT_ATTR_SCALE |
  TEXT_ATTR_WEIGHT |
  TEXT_ATTR_LANGUAGE |
  TEXT_ATTR_FAMILY_NAME |
  TEXT_ATTR_BG_COLOR |
  TEXT_ATTR_FG_COLOR |
  TEXT_ATTR_BG_STIPPLE |
  TEXT_ATTR_FG_STIPPLE |
  TEXT_ATTR_WRAP_MODE |
  TEXT_ATTR_DIRECTION |
  TEXT_ATTR_JUSTIFICATION |
  TEXT_ATTR_STRETCH |
  TEXT_ATTR_VARIANT |
  TEXT_ATTR_STYLE |
  TEXT_ATTR_LAST_DEFINED |

enum Atk::CoordType

Enumerator:

  XY_SCREEN |
  XY_WINDOW |

enum Atk::Layer

Enumerator:

  LAYER_INVALID |
  LAYER_BACKGROUND |
  LAYER_CANVAS |
  LAYER_WIDGET |
  LAYER_MDI |
  LAYER_POPUP |
  LAYER_OVERLAY |
  LAYER_WINDOW |

enum Atk::RelationType

Enumerator:

  RELATION_NULL |
  RELATION_CONTROLLED_BY |
  RELATION_CONTROLLER_FOR |
  RELATION_LABEL_FOR |
  RELATION_LABELLED_BY |
  RELATION_MEMBER_OF |
  RELATION_NODE_CHILD_OF |
  RELATION_FLOWS_TO |
  RELATION_FLOWS_FROM |
  RELATION_SUBWINDOW_OF |
  RELATION_EMBEDS |
  RELATION_EMBEDDED_BY |
  RELATION_POPUP_FOR |
  RELATION_PARENT_WINDOW_OF |
  RELATION_LAST_DEFINED |

enum Atk::Role

Enumerator:

  ROLE_INVALID |
  ROLE_ACCEL_LABEL |
  ROLE_ALERT |
  ROLE_ANIMATION |
  ROLE_ARROW |
  ROLE_CALENDAR |
  ROLE_CANVAS |
  ROLE_CHECK_BOX |
  ROLE_CHECK_MENU_ITEM |
  ROLE_COLOR_CHOOSER |
  ROLE_COLUMN_HEADER |
  ROLE_COMBO_BOX |
  ROLE_DATE_EDITOR |
  ROLE_DESKTOP_ICON |
  ROLE_DESKTOP_FRAME |
  ROLE_DIAL |
  ROLE_DIALOG |
  ROLE_DIRECTORY_PANE |
  ROLE_DRAWING_AREA |
  ROLE_FILE_CHOOSER |
  ROLE_FILLER |
  ROLE_FONT_CHOOSER |
  ROLE_FRAME |
  ROLE_GLASS_PANE |
  ROLE_HTML_CONTAINER |
  ROLE_ICON |
  ROLE_IMAGE |
  ROLE_INTERNAL_FRAME |
  ROLE_LABEL |
  ROLE_LAYERED_PANE |
  ROLE_LIST |
  ROLE_LIST_ITEM |
  ROLE_MENU |
  ROLE_MENU_BAR |
  ROLE_MENU_ITEM |
  ROLE_OPTION_PANE |
  ROLE_PAGE_TAB |
  ROLE_PAGE_TAB_LIST |
  ROLE_PANEL |
  ROLE_PASSWORD_TEXT |
  ROLE_POPUP_MENU |
  ROLE_PROGRESS_BAR |
  ROLE_PUSH_BUTTON |
  ROLE_RADIO_BUTTON |
  ROLE_RADIO_MENU_ITEM |
  ROLE_ROOT_PANE |
  ROLE_ROW_HEADER |
  ROLE_SCROLL_BAR |
  ROLE_SCROLL_PANE |
  ROLE_SEPARATOR |
  ROLE_SLIDER |
  ROLE_SPLIT_PANE |
  ROLE_SPIN_BUTTON |
  ROLE_STATUSBAR |
  ROLE_TABLE |
  ROLE_TABLE_CELL |
  ROLE_TABLE_COLUMN_HEADER |
  ROLE_TABLE_ROW_HEADER |
  ROLE_TEAR_OFF_MENU_ITEM |
  ROLE_TERMINAL |
  ROLE_TEXT |
  ROLE_TOGGLE_BUTTON |
  ROLE_TOOL_BAR |
  ROLE_TOOL_TIP |
  ROLE_TREE |
  ROLE_TREE_TABLE |
  ROLE_UNKNOWN |
  ROLE_VIEWPORT |
  ROLE_WINDOW |
  ROLE_HEADER |
  ROLE_FOOTER |
  ROLE_PARAGRAPH |
  ROLE_RULER |
  ROLE_APPLICATION |
  ROLE_AUTOCOMPLETE |
  ROLE_EDITBAR |
  ROLE_EMBEDDED |
  ROLE_LAST_DEFINED |

enum Atk::StateType

Enumerator:

  STATE_INVALID |
  STATE_ACTIVE |
  STATE_ARMED |
  STATE_BUSY |
  STATE_CHECKED |
  STATE_DEFUNCT |
  STATE_EDITABLE |
  STATE_ENABLED |
  STATE_EXPANDABLE |
  STATE_EXPANDED |
  STATE_FOCUSABLE |
  STATE_FOCUSED |
  STATE_HORIZONTAL |
  STATE_ICONIFIED |
  STATE_MODAL |
  STATE_MULTI_LINE |
  STATE_MULTISELECTABLE |
  STATE_OPAQUE |
  STATE_PRESSED |
  STATE_RESIZABLE |
  STATE_SELECTABLE |
  STATE_SELECTED |
  STATE_SENSITIVE |
  STATE_SHOWING |
  STATE_SINGLE_LINE |
  STATE_STALE |
  STATE_TRANSIENT |
  STATE_VERTICAL |
  STATE_VISIBLE |
  STATE_MANAGES_DESCENDANTS |
  STATE_INDETERMINATE |
  STATE_TRUNCATED |
  STATE_REQUIRED |
  STATE_LAST_DEFINED |

enum Atk::TextBoundary

Enumerator:

  TEXT_BOUNDARY_CHAR |
  TEXT_BOUNDARY_WORD_START |
  TEXT_BOUNDARY_WORD_END |
  TEXT_BOUNDARY_SENTENCE_START |
  TEXT_BOUNDARY_SENTENCE_END |
  TEXT_BOUNDARY_LINE_START |
  TEXT_BOUNDARY_LINE_END |

enum Atk::TextClipType

Enumerator:

  TEXT_CLIP_NONE |
  TEXT_CLIP_MIN |
  TEXT_CLIP_MAX |
  TEXT_CLIP_BOTH |